Get a event by ID
curl --request GET \
--url https://tandem.hlofiys.xyz/api/events/{event_id}import requests
url = "https://tandem.hlofiys.xyz/api/events/{event_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://tandem.hlofiys.xyz/api/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_id": 123,
"name": "<string>",
"description": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"max_bookings_per_user": 1,
"preview_image_url": "<string>",
"is_visible": false,
"schedule": [
{
"time": "15:00",
"description": "<string>"
}
],
"hall_id": 123
}{
"message": "<string>"
}{
"message": "<string>"
}Events
Get a event by ID
Retrieves details for a single event.
- If accessed by an administrator and manager, it will return the event even if it is hidden.
- For all other users (including anonymous guests), it will only return the event if it is marked as visible.
GET
/
api
/
events
/
{event_id}
Get a event by ID
Path Parameters
Response
Successful response. Contains complete information about the event corresponding to the specified ID
Event name
Event description
Event start time
Event end time
The maximum number of seats a single user can book for this event
Link to download the event preview image
Controls whether the event is displayed on the public-facing event list
Show child attributes
Show child attributes
Unique hall ID